Update Professional Resume by Admin
PUT /admin/professionals/{professionalId}/resume
PUT
/admin/professionals/{professionalId}/resume
Allows an administrator to update the detailed resume for a specific professional using their ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” professionalId
required
string
Unique identifier of the professional whose resume is to be updated.
Request Body
Section titled “Request Body ”Resume update request payload.
object
educations
Array<object>
object
graduationDate
string
institutionName
required
string
experiences
required
Array<object>
object
employerName
required
string
endDate
string
isCurrentEmployer
boolean
startDate
required
string
title
required
string
summary
required
string
Responses
Section titled “ Responses ”Successfully updated and retrieved the professional’s resume.
object
data
object
createdAt
string
createdBy
string
education
Array<object>
object
createdAt
string
createdBy
string
graduationDate
string
institutionName
string
updatedAt
string
updatedBy
string
experiences
Array<object>
object
createdAt
string
createdBy
string
employerName
string
endDate
string
isCurrentEmployer
boolean
startDate
string
title
string
updatedAt
string
updatedBy
string
id
string
professionalEmail
string
professionalFirstName
string
professionalId
Professional details
string
professionalLastName
string
professionalName
string
professionalPhone
string
summary
string
updatedAt
string
updatedBy
string
Bad request (e.g., missing professionalId, invalid request payload, or validation errors).
object
error
string
Not Found (e.g., resume not found for the given professional ID).
object
error
string
Internal Server Error (e.g., database error during update or retrieval).
object
error
string